# Include file used for all UNIX makefiles

# Setup additional paths for includes and source code

# Build dependency rules
# ===============================================================
USTRING_DEP = ../../include/ustring.h

VBS_B64_DEP = ../../include/ustring.h ../../include/vbstring.h \
	../../include/vbs_b64.h

PROJECT_DEP = ../../include/ustring.h ../../include/vbstring.h \
	../../include/vbs_b64.h
# ===============================================================

# Compile the files and build the executable
# ===============================================================
all:	$(PROJECT)

ustring.o:	../../src/ustring.cpp $(USTRING_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/ustring.cpp

vbs_b64.o:	../../src/vbs_b64.cpp $(VBS_B64_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbs_b64.cpp

$(PROJECT).o:	$(PROJECT).cpp $(PROJECT_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) $(PROJECT).cpp

# Make the executable
OBJECTS =  ustring.o vbs_b64.o $(PROJECT).o
# ===============================================================
