# Include file used for all WIN32 makefiles

# Setup additional paths for includes and source code

# Build dependency rules
# ===============================================================
USTRING_DEP = ../../include/ustring.h

VBS_B64_DEP = ../../include/ustring.h ../../include/vbstring.h \
	../../include/vbs_b64.h

PROJECT_DEP = ../../include/ustring.h ../../include/vbstring.h \
	../../include/vbs_b64.h
# ===============================================================

# Compile the files and build the executable
# ===============================================================
all:	$(PROJECT).exe

ustring.obj:	../../src/ustring.cpp $(USTRING_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/ustring.cpp

vbs_b64.obj:	../../src/vbs_b64.cpp $(VBS_B64_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbs_b64.cpp

$(PROJECT).obj:	$(PROJECT).cpp $(PROJECT_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) $(PROJECT).cpp

# Make the executable
OBJECTS =  ustring.obj vbs_b64.obj $(PROJECT).obj
# ===============================================================
