# Include file used for all WIN32 makefiles

# Setup additional paths for includes and source code

# Build dependency rules
# ===============================================================
DEVCACHE_DEP =  ../../include/devcache.h ../../include/devtypes.h \
	../../include/membuf.h ../../include/memblock.h

MEMBUF_DEP = ../../include/membuf.h

MEMBLOCK_DEP = ../../include/memblock.h

PROJECT_DEP = ../../include/devcache.h ../../include/devtypes.h \
	../../include/membuf.h ../../include/memblock.h
# ===============================================================

# Compile the files and build the executable
# ===============================================================
all:	$(PROJECT).exe

devcache.obj:	../../src/devcache.cpp $(DEVCACHE_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/devcache.cpp

membuf.obj:	../../src/membuf.cpp $(MEMBUF_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/membuf.cpp

memblock.obj:	../../src/memblock.cpp $(MEMBLOCK_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/memblock.cpp

$(PROJECT).obj:	$(PROJECT).cpp $(PROJECT_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) $(PROJECT).cpp

# Make the executable
OBJECTS = devcache.obj membuf.obj memblock.obj $(PROJECT).obj
# ===============================================================
