# Include file used for all UNIX makefiles

# Setup additional paths for includes and source code

# Build dependency rules
# ===============================================================
VBSCOMM_DEP = ../../include/vbscomm.h

VBIN32_DEP = ../../include/vbint32.h 

VBUINT32_DEP = ../../include/vbuint32.h

SCOMSERV_DEP = ../../include/vbscomm.h ../../include/scomserv.h \
	../../include/vbheader.h ../../include/vbdtypes.h \
	../../include/vbd_ver.h ../../include/vbint32.h \
	../../include/vbuint32.h

PROJECT_DEP = ../../include/vbscomm.h ../../include/scomserv.h \
	../../include/vbheader.h ../../include/vbdtypes.h \
	../../include/vbd_ver.h ../../include/vbint32.h \
	../../include/vbuint32.h
# ===============================================================

# Compile the files and build the executable
# ===============================================================
all:	$(PROJECT)

vbint32.o:	../../src/vbint32.cpp $(VBINT32_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbint32.cpp

vbuint32.o:	../../src/vbuint32.cpp $(VBUINT32_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbuint32.cpp

vbscomm.o:	../../src/vbscomm.cpp $(VBSCOMM_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbscomm.cpp

scomserv.o:	../../src/scomserv.cpp $(SCOMSERV_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/scomserv.cpp

$(PROJECT).o:	$(PROJECT).cpp $(PROJECT_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) $(PROJECT).cpp

# Make the executable
OBJECTS = vbscomm.o scomserv.o vbint32.o vbuint32.o $(PROJECT).o
# ===============================================================
