# Include file used for all WIN32 makefiles

# Setup additional paths for includes and source code

# Build dependency rules
# ===============================================================
VBSCOMM_DEP = ../../include/vbscomm.h

VBIN32_DEP = ../../include/vbint32.h 

VBUINT32_DEP = ../../include/vbuint32.h

SCOMSERV_DEP = ../../include/vbscomm.h ../../include/scomserv.h \
	../../include/vbheader.h ../../include/vbdtypes.h \
	../../include/vbd_ver.h ../../include/vbint32.h \
	../../include/vbuint32.h

PROJECT_DEP = ../../include/vbscomm.h ../../include/scomserv.h \
	../../include/vbheader.h ../../include/vbdtypes.h \
	../../include/vbd_ver.h ../../include/vbint32.h \
	../../include/vbuint32.h
# ===============================================================

# Compile the files and build the executable
# ===============================================================
all:	$(PROJECT).exe

vbint32.obj:	../../src/vbint32.cpp $(VBINT32_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbint32.cpp

vbuint32.obj:	../../src/vbuint32.cpp $(VBUINT32_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbuint32.cpp

vbscomm.obj:	../../src/vbscomm.cpp $(VBSCOMM_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbscomm.cpp

scomserv.obj:	../../src/scomserv.cpp $(SCOMSERV_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/scomserv.cpp

$(PROJECT).obj:	$(PROJECT).cpp $(PROJECT_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) $(PROJECT).cpp

# Make the executable
OBJECTS = vbscomm.obj scomserv.obj vbint32.obj vbuint32.obj $(PROJECT).obj
# ===============================================================
