# Include file used for all UNIX makefiles

# Setup additional paths for includes and source code

# Build dependency rules
# ===============================================================
USTRING_DEP = ../../include/ustring.h

SYSTIME_DEP = ../../include/ustring.h ../../include/systime.h

PROJECT_DEP = ../../include/ustring.h ../../include/systime.h
# ===============================================================

# Compile the files and build the executable
# ===============================================================
all:	$(PROJECT)

ustring.o:	../../src/ustring.cpp $(USTRING_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/ustring.cpp

systime.o:	../../src/systime.cpp $(SYSTIME_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/systime.cpp

$(PROJECT).o:	$(PROJECT).cpp $(PROJECT_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) $(PROJECT).cpp

# Make the executable
OBJECTS =  ustring.o systime.o $(PROJECT).o
# ===============================================================
