# Include file used for all WIN32 makefiles

# Setup additional paths for includes and source code

# Build dependency rules
# ===============================================================
VBINT32_DEP = ../../include/vbint32.h 

VBUINT32_DEP = ../../include/vbuint32.h

VBDATAGM_DEP = ../../include/vbsocket.h ../../include/vbstypes.h \
	../../include/vbdatagm.h ../../include/vbheader.h \
	../../include/vbdtypes.h ../../include/vbd_ver.h \
	../../include/vbint32.h ../../include/vbuint32.h

VBSOCKET_DEP = ../../include/vbsocket.h ../../include/vbstypes.h

PROJECT_DEP = $(VBDATAGM_DEP)
# ===============================================================

# Compile the files and build the executable
# ===============================================================
all:	$(PROJECT).exe

vbdatagm.obj:	../../src/vbdatagm.cpp $(VBDATAGM_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbdatagm.cpp

vbint32.obj:	../../src/vbint32.cpp $(VBINT32_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbint32.cpp

vbuint32.obj:	../../src/vbuint32.cpp $(VBUINT32_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbuint32.cpp

vbsocket.obj:	../../src/vbsocket.cpp $(VBSOCKET_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbsocket.cpp

$(PROJECT).obj:	$(PROJECT).cpp $(PROJECT_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) $(PROJECT).cpp

# Make the executable
OBJECTS = vbdatagm.obj vbint32.obj vbuint32.obj vbsocket.obj $(PROJECT).obj
# ===============================================================
