// ------------------------------- //
// -------- Start of File -------- //
// ------------------------------- //
// ----------------------------------------------------------- //
// C++ Header File Name: part.h 
// Compiler Used: MSVC40, DJGPP 2.7.2.1, GCC 2.7.2.1, HP CPP 10.24
// Produced By: Doug Gaer    
// File Creation Date: 09/18/1997  
// Date Last Modified: 06/21/2000
// Copyright (c) 1997 Douglas M. Gaer
// ----------------------------------------------------------- // 
// ---------- Include File Description and Details  ---------- // 
// ----------------------------------------------------------- // 
/*
The VBD C++ classes are copyright (c) 1997, by Douglas M. Gaer.
All those who put this code or its derivatives in a commercial
product MUST mention this copyright in their documentation for
users of the products in which this code or its derivative
classes are used. Otherwise, you have the freedom to redistribute
verbatim copies of this source code, adapt it to your specific
needs, or improve the code and release your improvements to the
public provided that the modified files carry prominent notices
stating that you changed the files and the date of any change.

THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND.
THE ENTIRE RISK OF THE QUALITY AND PERFORMANCE OF THIS SOFTWARE
IS WITH YOU. SHOULD ANY ELEMENT OF THIS SOFTWARE PROVE DEFECTIVE,
YOU WILL ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR, OR
CORRECTION.
*/
// ----------------------------------------------------------- //   
#ifndef __VBS_PART_HPP__
#define __VBS_PART_HPP__

#include <string.h>
#include "vbdbase.h"
#include "vbfp64.h"

typedef vbINT32 ID;
typedef vbFLOAT64 Price;

const unsigned PART_NAME_LEN = 255;

struct PartData {
  PartData();

  char name[PART_NAME_LEN];  
  ID id; 
  Price price;
};

class Part : public VBDFile
{ 
public:
  Part() { p = new PartData; }
  ~Part() { delete p; }

public: 
  FAU WriteObject();
  void ReadObject(FAU Address);
  FAU FindObject();
  FAU DeleteObject();
  FAU RemoveObject();
  FAU ChangeObject(const PartData &new_part_info);

public:
  PartData *p;
};

typedef RefCount<Part> PartDB;

#endif // __VBS_PART_HPP__
// ----------------------------------------------------------- //
// ------------------------------- //
// --------- End of File --------- //
// ------------------------------- //
