# Include file used for all UNIX makefiles

# Setup additional paths for includes and source code

# Build dependency rules
# ===============================================================
VBINT32_DEP = ../../include/vbint32.h 

VBUINT32_DEP = ../../include/vbuint32.h

VBSTREAM_DEP = ../../include/vbsocket.h ../../include/vbstypes.h \
	../../include/vbstream.h ../../include/vbheader.h \
	../../include/vbdtypes.h ../../include/vbd_ver.h \
	../../include/vbint32.h ../../include/vbuint32.h

VBSOCKET_DEP = ../../include/vbsocket.h ../../include/vbstypes.h

PROJECT_DEP = $(VBSTREAM_DEP)
# ===============================================================

# Compile the files and build the executable
# ===============================================================
all:	$(PROJECT)

vbstream.o:	../../src/vbstream.cpp $(VBSTREAM_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbstream.cpp

vbint32.o:	../../src/vbint32.cpp $(VBINT32_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbint32.cpp

vbuint32.o:	../../src/vbuint32.cpp $(VBUINT32_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbuint32.cpp

vbsocket.o:	../../src/vbsocket.cpp $(VBSOCKET_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbsocket.cpp

$(PROJECT).o:	$(PROJECT).cpp $(PROJECT_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) $(PROJECT).cpp

# Make the executable
OBJECTS = vbstream.o vbint32.o vbuint32.o vbsocket.o $(PROJECT).o
# ===============================================================
