// ------------------------------- //
// -------- Start of File -------- //
// ------------------------------- //
// ----------------------------------------------------------- //
// C++ Header File Name: devtypes.h
// Compiler Used: MSVC40, egcs-2.90.29, HP CPP 10.24
// Produced By: Doug Gaer   
// File Creation Date: 09/20/1999
// Date Last Modified: 07/17/2000
// Copyright (c) 2000 Douglas M. Gaer
// ----------------------------------------------------------- // 
// ---------- Include File Description and Details  ---------- // 
// ----------------------------------------------------------- // 
/*
The VBS C++ classes are copyright (c) 2000, by Douglas M. Gaer.
All those who put this code or its derivatives in a commercial
product MUST mention this copyright in their documentation for
users of the products in which this code or its derivative
classes are used. Otherwise, you have the freedom to redistribute
verbatim copies of this source code, adapt it to your specific
needs, or improve the code and release your improvements to the
public provided that the modified files carry prominent notices
stating that you changed the files and the date of any change.

THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND.
THE ENTIRE RISK OF THE QUALITY AND PERFORMANCE OF THIS SOFTWARE
IS WITH YOU. SHOULD ANY ELEMENT OF THIS SOFTWARE PROVE DEFECTIVE,
YOU WILL ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR, OR
CORRECTION.

This include file is used to define the various devices types
used by the VB communications library.
*/
// ----------------------------------------------------------- //   
#ifndef __VB_DEVICE_TYPES_HPP__
#define __VB_DEVICE_TYPES_HPP__

enum vbDeviceTypes {
  vbDEVICE_VOID = 0,        // Not pointing to any valid device
  vbDEVICE_CONSOLE,         // Using the console for I/O operations 
  vbDEVICE_DATAGRAM_SOCKET, // Using a datagram socket for I/O operations 
  vbDEVICE_DISK_FILE,       // Using a disk file for I/O operations
  vbDEVICE_MEMORY_BUFFER,   // Using a memory buffer for I/O operations
  vbDEVICE_NULL,            // Dump I/O into the bit bucket
  vbDEVICE_SERIAL_PORT,     // Using a serial port for I/O operations
  vbDEVICE_STREAM_SOCKET    // Using a stream socket for I/O operations
};

#endif // __VB_DEVICE_TYPES_HPP__
// ----------------------------------------------------------- // 
// ------------------------------- //
// --------- End of File --------- //
// ------------------------------- //
