// ------------------------------- //
// -------- Start of File -------- //
// ------------------------------- //
// ----------------------------------------------------------- //
// C++ Header File Name: vbdtypes.h 
// Compiler Used: MSVC40, DJGPP 2.7.2.1, GCC 2.7.2.1, HP CPP 10.24
// Produced By: Doug Gaer   
// File Creation Date: 09/05/1997  
// Date Last Modified: 07/17/2000
// Copyright (c) 1997 Douglas M. Gaer
// ----------------------------------------------------------- // 
// ---------- Include File Description and Details  ---------- // 
// ----------------------------------------------------------- // 
/*
The VBD C++ classes are copyright (c) 1997, by Douglas M. Gaer.
All those who put this code or its derivatives in a commercial
product MUST mention this copyright in their documentation for
users of the products in which this code or its derivative
classes are used. Otherwise, you have the freedom to redistribute
verbatim copies of this source code, adapt it to your specific
needs, or improve the code and release your improvements to the
public provided that the modified files carry prominent notices
stating that you changed the files and the date of any change.

THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND.
THE ENTIRE RISK OF THE QUALITY AND PERFORMANCE OF THIS SOFTWARE
IS WITH YOU. SHOULD ANY ELEMENT OF THIS SOFTWARE PROVE DEFECTIVE,
YOU WILL ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR, OR
CORRECTION.

This file contains typedefs and constants used to maintain
compatiblity between the built-in data type sizes on various
compilers.
*/
// ----------------------------------------------------------- //   
#ifndef __VBDATABASE_TYPES_HPP__
#define __VBDATABASE_TYPES_HPP__

// --------------------------------------------------------------
// Type definitions common to all platforms
// --------------------------------------------------------------
typedef char __SBYTE__;            // 8-bit signed value
typedef unsigned char __UBYTE__;   // 8-bit unsigned value
typedef int __WORD__;              // (W)ord size (4 bytes) 
typedef unsigned __UWORD__;        // (U)nsigned (W)ord size (4 bytes)
typedef long __LWORD__;            // (L)ong (W)ord size (4 bytes)
typedef unsigned long __ULWORD__;  // (U)nsigned (L)ong (W)ord size (4 Bytes)
typedef short __SWORD__;           // (S)hort (W)ord size (2 bytes)
typedef unsigned short __USWORD__; // (U)nsigned (S)hort (W)ord size (2 bytes) 
typedef double __DPFLOAT__; // (D)ouble (P)recision (F)loating point (8 bytes)
// --------------------------------------------------------------

#endif // __VBDATABASE_TYPES_HPP__
// ----------------------------------------------------------- // 
// ------------------------------- //
// --------- End of File --------- //
// ------------------------------- //
