// ------------------------------- //
// -------- Start of File -------- //
// ------------------------------- //
// ----------------------------------------------------------- // 
// C++ Header File Name: vbs_b64.h
// Compiler Used: MSVC40, egcs-2.90.29, HP CPP 10.24
// Produced By: Doug Gaer   
// File Creation Date: 01/25/2000
// Date Last Modified: 07/17/2000
// Copyright (c) 2000 Dougas M. Gaer
// ----------------------------------------------------------- // 
// ---------- Include File Description and Details  ---------- // 
// ----------------------------------------------------------- // 
/*
The VBS C++ classes are copyright (c) 2000, by Douglas M. Gaer.
All those who put this code or its derivatives in a commercial
product MUST mention this copyright in their documentation for
users of the products in which this code or its derivative
classes are used. Otherwise, you have the freedom to redistribute
verbatim copies of this source code, adapt it to your specific
needs, or improve the code and release your improvements to the
public provided that the modified files carry prominent notices
stating that you changed the files and the date of any change.

THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND.
THE ENTIRE RISK OF THE QUALITY AND PERFORMANCE OF THIS SOFTWARE
IS WITH YOU. SHOULD ANY ELEMENT OF THIS SOFTWARE PROVE DEFECTIVE,
YOU WILL ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR, OR
CORRECTION.

Standalone functions used for base 64 password encryption and
decoding.
*/
// ----------------------------------------------------------- // 
#ifndef __VBS_BASE64_HPP__
#define __VBS_BASE64_HPP__

#include "vbstring.h"

int vbsCalculateBase64Length(int len);
void vbsBase64Encode(const char *s, char *strbuf, int length);
int vbsBase64ConvertToNumber(unsigned char c);
void vbsBase64Decode(const char *s, char *strbuf);
void vbsBasicAuthenticationEncode(const char *user, const char *passwd,
				  const char *header, vbString &wwwauth);
void vbsBasicAuthenticationDecode(const vbString &wwwauth, vbString &user,
				  vbString &passwd);

#endif // __VBS_BASE64_HPP__
// ----------------------------------------------------------- //
// ------------------------------- //
// --------- End of File --------- //
// ------------------------------- //
