# Include file used for all WIN32 makefiles

# Setup additional paths for includes and source code

# Build dependency rules
# ===============================================================
VBINT32_DEP = ../../include/vbint32.h 

VBUINT32_DEP = ../../include/vbuint32.h

VBSTREAM_DEP = ../../include/vbsocket.h ../../include/vbstypes.h \
	../../include/vbstream.h ../../include/vbheader.h \
	../../include/vbdtypes.h ../../include/vbd_ver.h \
	../../include/vbint32.h ../../include/vbuint32.h

VBSOCKET_DEP = ../../include/vbsocket.h ../../include/vbstypes.h

VBSCOMM_DEP = ../../include/vbscomm.h

SCOMSERV_DEP = ../../include/vbscomm.h ../../include/scomserv.h \
	../../include/vbheader.h ../../include/vbdtypes.h \
	../../include/vbd_ver.h ../../include/vbint32.h \
	../../include/vbuint32.h

DEVCACHE_DEP =  ../../include/devcache.h ../../include/devtypes.h \
	../../include/membuf.h ../../include/memblock.h

MEMBUF_DEP = ../../include/membuf.h

MEMBLOCK_DEP = ../../include/memblock.h

USTRING_DEP = ../../include/ustring.h

SYSTIME_DEP = ../../include/systime.h ../../include/ustring.h
 
COMFILE_DEP = ../../include/vbsocket.h ../../include/vbstypes.h \
	../../include/vbstream.h ../../include/vbheader.h \
	../../include/vbdtypes.h ../../include/vbd_ver.h \
	../../include/vbint32.h ../../include/vbuint32.h \
	../../include/vbscomm.h ../../include/scomserv.h \
	../../include/devcache.h ../../include/memblock.h \
	../../include/devtypes.h ../../include/membuf.h

PROJECT_DEP = ../../include/vbsocket.h ../../include/vbstypes.h \
	../../include/vbstream.h ../../include/vbheader.h \
	../../include/vbdtypes.h ../../include/vbd_ver.h \
	../../include/vbint32.h ../../include/vbuint32.h \
	../../include/vbscomm.h ../../include/scomserv.h \
	../../include/devcache.h ../../include/memblock.h \
	../../include/devtypes.h ../../include/membuf.h \
	../../include/systime.h ../../include/ustring.h
# ===============================================================

# Compile the files and build the executable
# ===============================================================
all:	$(PROJECT).exe

vbint32.obj:	../../src/vbint32.cpp $(VBINT32_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbint32.cpp

vbuint32.obj:	../../src/vbuint32.cpp $(VBUINT32_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbuint32.cpp

vbscomm.obj:	../../src/vbscomm.cpp $(VBSCOMM_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbscomm.cpp

scomserv.obj:	../../src/scomserv.cpp $(SCOMSERV_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/scomserv.cpp

vbsocket.obj:	../../src/vbsocket.cpp $(VBSOCKET_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbsocket.cpp

vbstream.obj:	../../src/vbstream.cpp $(VBSTREAM_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbstream.cpp

devcache.obj:	../../src/devcache.cpp $(DEVCACHE_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/devcache.cpp

membuf.obj:	../../src/membuf.cpp $(MEMBUF_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/membuf.cpp

memblock.obj:	../../src/memblock.cpp $(MEMBLOCK_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/memblock.cpp

comfile.obj:	comfile.cpp $(COMFILE_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) comfile.cpp

ustring.obj:	../../src/ustring.cpp $(USTRING_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/ustring.cpp

systime.obj:	../../src/systime.cpp $(SYSTIME_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/systime.cpp

$(PROJECT).obj:	$(PROJECT).cpp $(PROJECT_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) $(PROJECT).cpp

# Make the executable
OBJECTS = vbsocket.obj  vbscomm.obj scomserv.obj vbint32.obj vbuint32.obj \
	vbstream.obj devcache.obj membuf.obj memblock.obj \
	comfile.obj ustring.obj systime.obj $(PROJECT).obj
# ===============================================================
