# Include file used for all WIN32 makefiles

# Setup additional paths for includes and source code

# Build dependency rules
# ===============================================================
LOGFILE_DEP = ../../include/logfile.h ../../include/ostrbase.h 

OSTRBASE_DEP = ../../include/ostrbase.h 

PROJECT_DEP = ../../include/ostrbase.h ../../include/logfile.h
# ===============================================================

# Compile the files and build the executable
# ===============================================================
all:	$(PROJECT).exe

logfile.obj:	../../src/logfile.cpp $(LOGFILE_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/logfile.cpp

ostrbase.obj:	../../src/ostrbase.cpp $(OSTRBASE_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/ostrbase.cpp

$(PROJECT).obj:	$(PROJECT).cpp $(PROJECT_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) $(PROJECT).cpp

# Make the executable
OBJECTS =  logfile.obj  ostrbase.obj $(PROJECT).obj
# ===============================================================
