// ------------------------------- //
// -------- Start of File -------- //
// ------------------------------- //
// ----------------------------------------------------------- //
// C++ Header File Name: httpserv.h
// C++ Compiler Used: MSVC40, HP CPP 10.24, egcs-2.90.29 
// Produced By: Doug Gaer   
// File Creation Date: 09/20/1999
// Date Last Modified: 06/21/2000
// Copyright (c) 2000 Douglas M. Gaer
// ----------------------------------------------------------- // 
// ---------- Include File Description and Details  ---------- // 
// ----------------------------------------------------------- // 
/*
The VBS C++ classes are copyright (c) 2000, by Douglas M. Gaer.
All those who put this code or its derivatives in a commercial
product MUST mention this copyright in their documentation for
users of the products in which this code or its derivative
classes are used. Otherwise, you have the freedom to redistribute
verbatim copies of this source code, adapt it to your specific
needs, or improve the code and release your improvements to the
public provided that the modified files carry prominent notices
stating that you changed the files and the date of any change.

THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND.
THE ENTIRE RISK OF THE QUALITY AND PERFORMANCE OF THIS SOFTWARE
IS WITH YOU. SHOULD ANY ELEMENT OF THIS SOFTWARE PROVE DEFECTIVE,
YOU WILL ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR, OR
CORRECTION.

A very simple multi-threaded HTTP server built using the
vbThread library.
*/
// ----------------------------------------------------------- //   
#ifndef __VBS_HTTP_SERVER_HPP__
#define __VBS_HTTP_SERVER_HPP__

#include "vbthread.h"
#include "vbsocket.h"

class vbHTTPServer : public vbSocket, public vbThread
{
public:
  vbHTTPServer() { }
  ~vbHTTPServer() { }

public:
  int InitHTTPServer(int port = 80, int max_connections = SOMAXCONN);

public: // Statistical information
  int RemotePortNumber(int &port);
  int HostName(char *hs);
  int RemoteHostName(char *hs);

private: // vbThread Interface
  void *ThreadEntryRoutine(vbThread_t *thread);
  void ThreadExitRoutine(vbThread_t *thread);
  void ThreadCleanupHandler(vbThread_t *thread);
};

#endif // __VBS_HTTP_SERVER_HPP__
// ----------------------------------------------------------- // 
// ------------------------------- //
// --------- End of File --------- //
// ------------------------------- //
