# Include file used for all UNIX makefiles

# Setup additional paths for includes and source code

# Build dependency rules
# ===============================================================
VBSOCKET_DEP = ../../include/vbsocket.h ../../include/vbstypes.h

PROJECT_DEP = ../../include/vbsocket.h ../../include/vbstypes.h
# ===============================================================

# Compile the files and build the executable
# ===============================================================
all:	$(PROJECT)

vbsocket.o:	../../src/vbsocket.cpp $(VBSOCKET_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbsocket.cpp

$(PROJECT).o:	$(PROJECT).cpp $(PROJECT_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) $(PROJECT).cpp

# Make the executable
OBJECTS = vbsocket.o $(PROJECT).o
# ===============================================================
