# Include file used for all UNIX makefiles

# Setup additional paths for includes and source code

# Build dependency rules
# ===============================================================
USTRING_DEP = ../../include/ustring.h

VBCONFIG_DEP = ../../include/ustring.h ../../include/vbconfig.h \
	../../include/vblistb.h ../../include/vbstring.h

VBLISTB_DEP = ../../include/vblistb.h

PROJECT_DEP = ../../include/ustring.h ../../include/vbconfig.h \
	../../include/vblistb.h ../../include/vbstring.h
# ===============================================================

# Compile the files and build the executable
# ===============================================================
all:	$(PROJECT)

ustring.o:	../../src/ustring.cpp $(USTRING_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/ustring.cpp

vbconfig.o:	../../src/vbconfig.cpp $(VBCONFIG_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbconfig.cpp

vblistb.o:	../../src/vblistb.cpp $(VBLISTB_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vblistb.cpp

$(PROJECT).o:	$(PROJECT).cpp $(PROJECT_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) $(PROJECT).cpp

# Make the executable
OBJECTS =  ustring.o vbconfig.o vblistb.o $(PROJECT).o
# ===============================================================
