# Include file used for all WIN32 makefiles

# Setup additional paths for includes and source code

# Build dependency rules
# ===============================================================
USTRING_DEP = ../../include/ustring.h

VBCONFIG_DEP = ../../include/ustring.h ../../include/vbconfig.h \
	../../include/vblistb.h ../../include/vbstring.h

VBLISTB_DEP = ../../include/vblistb.h

PROJECT_DEP = ../../include/ustring.h ../../include/vbconfig.h \
	../../include/vblistb.h ../../include/vbstring.h
# ===============================================================

# Compile the files and build the executable
# ===============================================================
all:	$(PROJECT).exe

ustring.obj:	../../src/ustring.cpp $(USTRING_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/ustring.cpp

vbconfig.obj:	../../src/vbconfig.cpp $(VBCONFIG_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbconfig.cpp

vblistb.obj:	../../src/vblistb.cpp $(VBLISTB_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vblistb.cpp

$(PROJECT).obj:	$(PROJECT).cpp $(PROJECT_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) $(PROJECT).cpp

# Make the executable
OBJECTS =  ustring.obj vbconfig.obj vblistb.obj $(PROJECT).obj
# ===============================================================
