# Include file used for all UNIX makefiles

# Setup additional paths for includes and source code

# Build dependency rules
# ===============================================================
USTRING_DEP = ../../include/ustring.h

DFILEB_DEP = ../../include/dfileb.h

MEMBUF_DEP = ../../include/membuf.h

VBLISTB_DEP = ../../include/vblistb.h

VBSHTML_DEP = ../../include/vbshtml.h ../../include/vbstring.h \
	../../include/ustring.h ../../include/membuf.h \
	../../include/vblist.h ../../include/vblistb.h \
	../../include/dfileb.h

PROJECT_DEP = ../../include/vbshtml.h ../../include/vbstring.h \
	../../include/ustring.h ../../include/membuf.h \
	../../include/vblist.h ../../include/vblistb.h \
	../../include/dfileb.h
# ===============================================================

# Compile the files and build the executable
# ===============================================================
all:	$(PROJECT)

ustring.o:	../../src/ustring.cpp $(USTRING_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/ustring.cpp

vblistb.o:	../../src/vblistb.cpp $(VBLISTB_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vblistb.cpp

membuf.o:	../../src/membuf.cpp $(MEMBUF_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/membuf.cpp

vbshtml.o:	../../src/vbshtml.cpp $(VBSHTML_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbshtml.cpp

dfileb.o:	../../src/dfileb.cpp $(DFILEB_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/dfileb.cpp

$(PROJECT).o:	$(PROJECT).cpp $(PROJECT_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) $(PROJECT).cpp

# Make the executable
OBJECTS =  ustring.o dfileb.o vblistb.o vbshtml.o membuf.o \
	$(PROJECT).o
# ===============================================================
