# Include file used for all WIN32 makefiles

# Setup additional paths for includes and source code

# Build dependency rules
# ===============================================================
USTRING_DEP = ../../include/ustring.h

DFILEB_DEP = ../../include/dfileb.h

MEMBUF_DEP = ../../include/membuf.h

VBLISTB_DEP = ../../include/vblistb.h

VBSHTML_DEP = ../../include/vbshtml.h ../../include/vbstring.h \
	../../include/ustring.h ../../include/membuf.h \
	../../include/vblist.h ../../include/vblistb.h \
	../../include/dfileb.h

PROJECT_DEP = ../../include/vbshtml.h ../../include/vbstring.h \
	../../include/ustring.h ../../include/membuf.h \
	../../include/vblist.h ../../include/vblistb.h \
	../../include/dfileb.h
# ===============================================================

# Compile the files and build the executable
# ===============================================================
all:	$(PROJECT).exe

ustring.obj:	../../src/ustring.cpp $(USTRING_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/ustring.cpp

vblistb.obj:	../../src/vblistb.cpp $(VBLISTB_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vblistb.cpp

membuf.obj:	../../src/membuf.cpp $(MEMBUF_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/membuf.cpp

vbshtml.obj:	../../src/vbshtml.cpp $(VBSHTML_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/vbshtml.cpp

dfileb.obj:	../../src/dfileb.cpp $(DFILEB_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) ../../src/dfileb.cpp

$(PROJECT).obj:	$(PROJECT).cpp $(PROJECT_DEP)
	$(CPP) $(COMPILE_ONLY) $(COMPILE_FLAGS) $(PROJECT).cpp

# Make the executable
OBJECTS =  ustring.obj dfileb.obj vblistb.obj vbshtml.obj membuf.obj \
	$(PROJECT).obj
# ===============================================================
